package com.securitycontrol.screen.service;

import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.screen.dto.TowerAssInspectDto;
import com.securitycontrol.entity.screen.vo.TowerAssInspectVo;
import com.securitycontrol.entity.screen.vo.AlarmMgeVo;

import java.util.List;

/**
 * @author lsun
 * 组塔检测
 */
public interface TowerAssInspectService {

    AjaxResult getDeviceList(TowerAssInspectDto dto);

    AjaxResult getRealTimeDetection(TowerAssInspectDto dto);

    AjaxResult getTrend(TowerAssInspectDto dto);

    List<TowerAssInspectVo> getRealTimeAlarmList(TowerAssInspectDto dto);

    List<TowerAssInspectVo> getHistoryList(TowerAssInspectDto dto);
}
